module.exports.getCheckBalance_SBMWSREALCCP = async (req, res) => {
  console.log('===== POST getCheckBalance =====')
  console.log('url', req.originalUrl);
  console.log('headers', req.headers);
  console.log('query', req.query);
  console.log('params', req.params);
  console.log('body', req.body);

  let responseErr = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM"
            result_code="70077779"
            result_desc="CRM_ESB"
            req_transaction_id="CCBS_TEST_SBM_001"
            transaction_id="2021070815531103900009"
            response_message="CRM_ESB"/>`

  let response = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM" result_code="0" result_desc="NO_STEP_PCRF" req_transaction_id="CCBS_TEST_SBM_001" transaction_id="20210627173451003000701" response_message="NO_STEP_PCRF">
   <extra_xml>
    <chkbalance_response>
     <priceplan>R19NBPNE2</priceplan>
     <GPRSChargeFlag>V</GPRSChargeFlag>
     <steady_charge_type>V</steady_charge_type>
     <steady_speed>42.0Mbps</steady_speed>
     <language>TH</language>
     <billcycle/>
     <bundle>N</bundle>
     <packages size="3">
      <package cancel_oc_imm="N" cancel_rc_imm="N" cancelable="N" code="IPK_DS_OC_ULMWIFI_FREE_365D" desc="ฟรี WiFi ไม่อั้น นาน 12 เดือน" end_date="2021-12-15 23:59:59" rcoc="OC" start_date="2020-12-16 14:20:14"/>
      <package cancel_oc_imm="N" cancel_rc_imm="N" cancelable="N" code="IPK_DS_OC_TRUEIDULM_FREE_365D" desc="ฟรี TrueID HD ไม่จำกัด นาน 12 เดือน" end_date="2021-12-15 23:59:59" rcoc="OC" start_date="2020-12-16 14:20:08"/>
      <package cancel_oc_imm="N" cancel_rc_imm="N" cancelable="N" code="IPK_DS_OC_ULMFIX10M_FREE_365D" desc="เน็ตไม่อั้น 10Mbps นาน 1ปี" end_date="2021-12-15 23:59:59" rcoc="OC" start_date="2020-12-16 14:20:14"/>
     </packages>
     <pool_services size="0"/>
     <pp_services size="0"/>
     <package_services size="3">
      <package_service>
       <package_rcoc>OC</package_rcoc>
       <package_start_date>2020-12-16 14:20:08</package_start_date>
       <package_end_date>2021-12-15 23:59:59</package_end_date>
       <package_service_type>INSTM3GEG</package_service_type>
       <package_bundle_amount>Unlimited</package_bundle_amount>
       <package_bundle_unit>*</package_bundle_unit>
       <package_remain_amount>0</package_remain_amount>
       <package_code>IPK_DS_OC_TRUEIDULM_FREE_365D</package_code>
       <package_name>ฟรี TrueID HD ไม่จำกัด นาน 12 เดือน</package_name>
      </package_service>
      <package_service>
       <package_rcoc>OC</package_rcoc>
       <package_start_date>2020-12-16 14:20:14</package_start_date>
       <package_end_date>2021-12-15 23:59:59</package_end_date>
       <package_service_type>WIFI</package_service_type>
       <package_bundle_amount>Unlimited</package_bundle_amount>
       <package_bundle_unit>*</package_bundle_unit>
       <package_remain_amount>0</package_remain_amount>
       <package_code>IPK_DS_OC_ULMWIFI_FREE_365D</package_code>
       <package_name>ฟรี WiFi ไม่อั้น นาน 12 เดือน</package_name>
      </package_service>
      <package_service>
       <package_rcoc>OC</package_rcoc>
       <package_start_date>2020-12-16 14:20:14</package_start_date>
       <package_end_date>2021-12-15 23:59:59</package_end_date>
       <package_service_type>STD3GEG</package_service_type>
       <package_bundle_amount>Unlimited</package_bundle_amount>
       <package_bundle_unit>*</package_bundle_unit>
       <package_remain_amount>0</package_remain_amount>
       <package_code>IPK_DS_OC_ULMFIX10M_FREE_365D</package_code>
       <package_name>เน็ตไม่อั้น 10Mbps นาน 1ปี</package_name>
      </package_service>
     </package_services>
     <fair_use/>
    </chkbalance_response>
   </extra_xml>
  </response>`

  let response1 = `<response result_namespace="SBM"
  result_code="0"
  transaction_id="10222232221"
  req_transaction_id="111"
  response_message="see extra_xml"
  result_desc="">
   <extra_xml>
     <chkbalance_response>
       <priceplan>IPK_DS_OC_XXXX</priceplan>
       <GPRSChargeFlag>T</GPRSChargeFlag>
       <steady_charge_type>T</steady_charge_type>
       <steady_speed>512Kbps</steady_speed>
       <language>EN</language>
       <billcycle/>
       <bundle>Y</bundle>
       <packages size="3">
         <package code="GPAC3S02"
         rcoc="OC"
         desc="Buy this pack for free! Unlimited monthly"
         cancelable="N"
         cancel_rc_imm="Y"
         cancel_oc_imm="Y"
         start_date="2010-09-06 23:59:59"
         end_date="2010-09-06 23:59:59"/>
         <package code="GPAC3S02"
         rcoc="OC"
         desc="Buy this pack for free! Unlimited monthly"
         cancelable="N"
         cancel_rc_imm="Y"
         cancel_oc_imm="Y"
         start_date="2010-09-06 23:59:59"
         end_date="2010-09-06 23:59:59"/>
         <package code="GPAC3S02"
         rcoc="OC"
         desc="Buy this pack for free! Unlimited monthly"
         cancelable="N"
         cancel_rc_imm="Y"
         cancel_oc_imm="Y"
         start_date="2010-09-06 23:59:59"
         end_date="2010-09-06 23:59:59"/>
       </packages>
       <pool_services size="2">
         <pool_service>
           <pool_rcoc>OC</pool_rcoc>
           <pool_service_type>WEG</pool_service_type>
           <pool_start_date>2009-09-06 00:00:00</pool_start_date>
           <pool_end_date>2010-09-06 23:59:59</pool_end_date>
           <pool_bundle_amount>1200</pool_bundle_amount>
           <pool_bundle_unit>T</pool_bundle_unit>
           <pool_bundle_remain>100</pool_bundle_remain>
         </pool_service>
         <pool_service>
           <pool_rcoc>OC</pool_rcoc>
           <pool_service_type>3GEG</pool_service_type>
           <pool_start_date>2009-09-06 00:00:00</pool_start_date>
           <pool_end_date>2010-09-06 23:59:59</pool_end_date>
           <pool_bundle_amount>1200</pool_bundle_amount>
           <pool_bundle_unit>T</pool_bundle_unit>
           <pool_bundle_remain>100</pool_bundle_remain>
         </pool_service>
       </pool_services>
       <pp_services size="5">
          <pp_service>
            <pp_rcoc>RCQWEQW</pp_rcoc>
            <pp_start_date>2009-09-06 00:00:00</pp_start_date>
            <pp_end_date>-</pp_end_date>
            <pp_service_type>Voice</pp_service_type>
            <pp_bundle_amount>12000</pp_bundle_amount>
            <pp_bundle_unit>T</pp_bundle_unit>
            <pp_remain_amount>9300</pp_remain_amount>
          </pp_service>
          <pp_service>
            <pp_rcoc>OCQWEQWE</pp_rcoc>
            <pp_start_date>2009-09-06 00:00:00</pp_start_date>
            <pp_end_date>2010-09-06 23:59:59</pp_end_date>
            <pp_service_type>Voice</pp_service_type>
            <pp_bundle_amount>2048</pp_bundle_amount>
            <pp_bundle_unit>V</pp_bundle_unit>
            <pp_remain_amount>700</pp_remain_amount>
          </pp_service>
         <pp_service>
           <pp_rcoc>OC</pp_rcoc>
           <pp_start_date>-</pp_start_date>
           <pp_end_date>-</pp_end_date>
           <pp_service_type>Voice</pp_service_type>
           <pp_bundle_amount>Unlimited</pp_bundle_amount>
           <pp_bundle_unit>T</pp_bundle_unit>
           <pp_remain_amount>0</pp_remain_amount>
         </pp_service>
         <pp_service>
           <pp_rcoc>RC</pp_rcoc>
           <pp_service_type>Voice</pp_service_type>
           <pp_start_date>2009-09-06 00:00:00</pp_start_date>
           <pp_end_date>2010-09-06 23:59:59</pp_end_date>
           <pp_bundle_amount>SHARED</pp_bundle_amount>
           <pp_bundle_unit>T</pp_bundle_unit>
           <pp_remain_amount>100</pp_remain_amount>
         </pp_service>
         <pp_service>
           <pp_rcoc>OC</pp_rcoc>
           <pp_service_type>EG</pp_service_type>
           <pp_start_date>2009-09-06 00:00:00</pp_start_date>
           <pp_end_date>2010-09-06 23:59:59</pp_end_date>
           <pp_bundle_amount>1200</pp_bundle_amount>
           <pp_bundle_unit>T</pp_bundle_unit>
           <pp_remain_amount>100</pp_remain_amount>
         </pp_service>
         <pp_service>
           <pp_rcoc>OC</pp_rcoc>
           <pp_start_date>2009-09-06 00:00:00</pp_start_date>
           <pp_end_date>2010-09-06 23:59:59</pp_end_date>
           <pp_service_type>EG</pp_service_type>
           <pp_bundle_amount>1200</pp_bundle_amount>
           <pp_bundle_unit>V</pp_bundle_unit>
           <pp_remain_amount>0</pp_remain_amount>
         </pp_service>
         <pp_service>
           <pp_rcoc>RC</pp_rcoc>
           <pp_start_date>2009-09-06 00:00:00</pp_start_date>
           <pp_end_date>2010-09-06 23:59:59</pp_end_date>
           <pp_service_type>EG</pp_service_type>
           <pp_bundle_amount>Unlimited</pp_bundle_amount>
           <pp_bundle_unit>V</pp_bundle_unit>
           <pp_remain_amount>0</pp_remain_amount>
         </pp_service>
         <pp_service>
           <pp_rcoc>RC</pp_rcoc>
           <pp_start_date>2009-09-06 00:00:00</pp_start_date>
           <pp_end_date>2010-09-06 23:59:59</pp_end_date>
           <pp_service_type>EG</pp_service_type>
           <pp_bundle_amount>SHARED</pp_bundle_amount>
           <pp_bundle_unit>V</pp_bundle_unit>
           <pp_remain_amount>10</pp_remain_amount>
         </pp_service>
       </pp_services>
       <package_services size="7">
         <package_service>
           <package_rcoc>OC</package_rcoc>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_service_type>EG</package_service_type>
           <package_bundle_amount>12000</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S07</package_code>
         </package_service>
         <package_service>
           <package_rcoc>RC</package_rcoc>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>-</package_end_date>
           <package_service_type>EG</package_service_type>
           <package_bundle_amount>13500</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S07</package_code>
         </package_service>
         <package_service>
           <package_rcoc>RC</package_rcoc>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>-</package_end_date>
           <package_service_type>EG</package_service_type>
           <package_bundle_amount>8600</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S07</package_code>
         </package_service>
         <package_service>
           <package_rcoc>OC</package_rcoc>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_service_type>EG</package_service_type>
           <package_bundle_amount>8600</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S07</package_code>
         </package_service>
         <package_service>
           <package_rcoc>RC</package_rcoc>
           <package_service_type>EG</package_service_type>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_bundle_amount>100</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>100</package_remain_amount>
           <package_code>GPAC3S05</package_code>
         </package_service>
         <package_service>
           <package_rcoc>OC</package_rcoc>
           <package_service_type>EG</package_service_type>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_bundle_amount>SHARED</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S05</package_code>
         </package_service>
         <package_service>
           <package_rcoc>OC</package_rcoc>
           <package_service_type>EG</package_service_type>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_bundle_amount>SHARED</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S05</package_code>
         </package_service>
         <package_service>
           <package_rcoc>RC</package_rcoc>
           <package_service_type>EG</package_service_type>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_bundle_amount>100</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>50</package_remain_amount>
           <package_code>GPAC3S05</package_code>
         </package_service>
         <package_service>
           <package_rcoc>OC</package_rcoc>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>2010-09-06 23:59:59</package_end_date>
           <package_service_type>EG</package_service_type>
           <package_bundle_amount>Unlimited</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S061</package_code>
         </package_service>
         <package_service>
           <package_rcoc>RC</package_rcoc>
           <package_start_date>2009-09-06 00:00:00</package_start_date>
           <package_end_date>-</package_end_date>
           <package_service_type>EG</package_service_type>
           <package_bundle_amount>Unlimited</package_bundle_amount>
           <package_bundle_unit>T</package_bundle_unit>
           <package_remain_amount>0</package_remain_amount>
           <package_code>GPAC3S06</package_code>
         </package_service>
       </package_services>
       <fair_use>
         <qos_size>1</qos_size>
         <qos_detail type="STEP">
           <qos_pack_type>IPK</qos_pack_type>
           <qos_package>IPK_DS_OC_XXXX</qos_package>
           <qos_service_type>3GEG</qos_service_type>
           <qos_status>A</qos_status>
           <qos_start_date>2010-10-04 12:30:20</qos_start_date>
           <qos_end_date>2010-11-03 23:59:59</qos_end_date>
           <qos_unit>V</qos_unit>
           <qos_remain_amount>500</qos_remain_amount>
           <qos_use_amount>5500</qos_use_amount>
           <qos_ava>6000</qos_ava>
           <qos_shape_speed>512Kbps</qos_shape_speed>
           <qos_max_speed>42Mbps</qos_max_speed>
         </qos_detail>
         <qos_detail type="CAP_MAX">
           <qos_start_date>2010-10-04 12:30:20</qos_start_date>
           <qos_end_date>2010-11-03 23:59:59</qos_end_date>
           <qos_max_speed>42Mbps</qos_max_speed>
         </qos_detail>
         <qos_detail type="BLACKLIST">
           <qos_start_date>2010-10-04 12:30:20</qos_start_date>
           <qos_end_date/>
           <qos_max_speed>42Mbps</qos_max_speed>
         </qos_detail>
       </fair_use>
     </chkbalance_response>
   </extra_xml>
 </response>`

  res.status(200).send(response1)
}

module.exports.getCheckBalance_SBMWSREAL = async (req, res) => {
  console.log('===== POST getCheckBalance =====')
  console.log('url', req.originalUrl);
  console.log('headers', req.headers);
  console.log('query', req.query);
  console.log('params', req.params);
  console.log('body', req.body);

  let responseErr = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM"
            result_code="70077779"
            result_desc="CRM_ESB"
            req_transaction_id="CCBS_TEST_SBM_001"
            transaction_id="2021070815531103900009"
            response_message="CRM_ESB"/>`

  let response = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM"
          result_code="0"
          transaction_id="10222232221"
          req_transaction_id="111"
          response_message="see extra_xml"
          result_desc="">
	<extra_xml>
		<dmc_response>
			<transaction_id>00001</transaction_id>
			<result_code>1</result_code>
			<result_description>SUCCESS</result_description>
			<account_type>POS</account_type>
			<priceplan>FV1B1M</priceplan>
			<charge_type>T</charge_type>
			<status>A</status>
			<language>EN</language>
			<bundle>Y</bundle>
			<speed>512KB</speed>
			<gprs_cap>2500</gprs_cap>
			<pay_per_use_charge>9</pay_per_use_charge>
			<pay_per_use_amount>9</pay_per_use_amount>
			<pay_per_use_unit>V</pay_per_use_unit>
			<parent_msisdn>66891288123</parent_msisdn>
			<number_of_child>2</number_of_child>
			<list_of_child>66866716795</list_of_child>
			<pp_wallet_share>N</pp_wallet_share>
			<pp_service_size>2</pp_service_size>
			<package_size>2</package_size>
			<pp_services>
				<pp_service>
					<pp_id>1234</pp_id>
					<pp_type>Recurring</pp_type>
					<pp_start_date>2009-09-06 00:00:00</pp_start_date>
					<pp_end_date>2010-09-06 23:59:59</pp_end_date>
					<pp_service_type>EG</pp_service_type>
					<pp_bundle_amount>1200</pp_bundle_amount>
					<pp_bundle_unit>T</pp_bundle_unit>
					<pp_remain_amount>100</pp_remain_amount>
				</pp_service>
				<pp_service>
					<pp_id>1235</pp_id>
					<pp_type>Recurring</pp_type>
					<pp_start_date>2009-09-06 00:00:00</pp_start_date>
					<pp_end_date>2010-09-06 23:59:59</pp_end_date>
					<pp_service_type>WIFI</pp_service_type>
					<pp_bundle_amount>1200</pp_bundle_amount>
					<pp_bundle_unit>T</pp_bundle_unit>
					<pp_remain_amount>900</pp_remain_amount>
				</pp_service>
			</pp_services>
			<packages>
				<package>
					<pack_code>GPAC3S05</pack_code>
					<pack_description>Buy this pack for free! Unlimited monthly</pack_description>
					<cancelable>Y</cancelable>
					<speed>512KB</speed>
					<service_size>1</service_size>
					<services>
						<service>
							<pack_id>2973</pack_id>
							<pack_type>Recurring</pack_type>
							<start_date>2009-09-06 00:00:00</start_date>
							<end_date>2009-10-06 23:59:59</end_date>
							<service_type>EG</service_type>
							<bundle_amount>1200</bundle_amount>
							<bundle_unit>T</bundle_unit>
							<remain_amount>1200</remain_amount>
						</service>
					</services>
				</package>
				<package>
					<pack_code>GPAC3S05</pack_code>
					<pack_description>Buy this pack for free! Unlimited monthly</pack_description>
					<cancelable>N</cancelable>
					<speed>512KB</speed>
					<service_size>1</service_size>
					<services>
						<service>
							<pack_id>2974</pack_id>
							<pack_type>NextRC</pack_type>
							<start_date>2009-10-07 00:00:00</start_date>
							<end_date>2009-11-07 00:00:00</end_date>
							<service_type>EG</service_type>
							<bundle_amount>1200</bundle_amount>
							<bundle_unit>T</bundle_unit>
							<remain_amount>1200</remain_amount>
						</service>
					</services>
				</package>
			</packages>
			<fair_use>
				<qos_size>2</qos_size>
				<qos_details>
					<qos_detail>
						<qos_pack_type>Package</qos_pack_type>
						<qos_package>FV1B1M</qos_package>
						<qos_service_type>3G</qos_service_type>
						<qos_status>A</qos_status>
						<qos_start_date>2010-10-04 12:30:20</qos_start_date>
						<qos_end_date>2010-11-03 23:59:59</qos_end_date>
						<qos_unit>V</qos_unit>
						<qos_remain_amount>0</qos_remain_amount>
						<qos_use_amount>5120</qos_use_amount>
						<qos_cap_max>5120</qos_cap_max>
						<qos_cap_speed>256KB</qos_cap_speed>
					</qos_detail>
					<qos_detail>
						<qos_pack_type>priceplan</qos_pack_type>
						<qos_package>IPACKP04</qos_package>
						<qos_service_type>3G</qos_service_type>
						<qos_status>E</qos_status>
						<qos_start_date>2010-10-04 12:30:20</qos_start_date>
						<qos_end_date>2010-11-03 23:59:59</qos_end_date>
						<qos_unit>V</qos_unit>
						<qos_remain_amount>5120</qos_remain_amount>
						<qos_use_amount>0</qos_use_amount>
						<qos_cap_max>5120</qos_cap_max>
						<qos_cap_speed>256KB</qos_cap_speed>
					</qos_detail>
				</qos_details>
			</fair_use>
		</dmc_response>
	</extra_xml>
</response>`

  let response1 = `<?xml version="1.0" encoding="UTF-8"?>
<response result_namespace="SBM" result_code="0" transaction_id="10222232221" req_transaction_id="111" response_message="see extra_xml" result_desc="">
	<extra_xml>
		<dmc_response>
			<transaction_id>00001</transaction_id>
			<result_code>1</result_code>
			<result_description>SUCCESS</result_description>
			<account_type>POS</account_type>
			<priceplan>FV1B1M</priceplan>
			<charge_type>T</charge_type>
			<status>A</status>
			<language>EN</language>
			<bundle>Y</bundle>
			<speed>512KB</speed>
			<gprs_cap>2500</gprs_cap>
			<pay_per_use_charge>9</pay_per_use_charge>
			<pay_per_use_amount>9</pay_per_use_amount>
			<pay_per_use_unit>V</pay_per_use_unit>
			<parent_msisdn>66891288123</parent_msisdn>
			<number_of_child>2</number_of_child>
			<list_of_child>66866716795</list_of_child>
			<pp_wallet_share>N</pp_wallet_share>
			<pp_service_size>2</pp_service_size>
			<package_size>2</package_size>
			<pp_services>
				<pp_service>
					<pp_id>1234</pp_id>
					<pp_type>Recurring</pp_type>
					<pp_start_date>2009-09-06 00:00:00</pp_start_date>
					<pp_end_date>2010-09-06 23:59:59</pp_end_date>
					<pp_service_type>EG</pp_service_type>
					<pp_bundle_amount>1200</pp_bundle_amount>
					<pp_bundle_unit>T</pp_bundle_unit>
					<pp_remain_amount>100</pp_remain_amount>
				</pp_service>
				<pp_service>
					<pp_id>1235</pp_id>
					<pp_type>Recurring</pp_type>
					<pp_start_date>2009-09-06 00:00:00</pp_start_date>
					<pp_end_date>2010-09-06 23:59:59</pp_end_date>
					<pp_service_type>WIFI</pp_service_type>
					<pp_bundle_amount>1200</pp_bundle_amount>
					<pp_bundle_unit>T</pp_bundle_unit>
					<pp_remain_amount>900</pp_remain_amount>
				</pp_service>
			</pp_services>
			<packages>
				<package>
					<pack_code>GPAC3S05</pack_code>
					<pack_description>Buy this pack for free! Unlimited monthly</pack_description>
					<cancelable>Y</cancelable>
					<speed>512KB</speed>
					<service_size>1</service_size>
					<services>
						<service>
							<pack_id>2973</pack_id>
							<pack_type>Recurring</pack_type>
							<start_date>2009-09-06 00:00:00</start_date>
							<end_date>2009-10-06 23:59:59</end_date>
							<service_type>EG</service_type>
							<bundle_amount>1200</bundle_amount>
							<bundle_unit>T</bundle_unit>
							<remain_amount>1200</remain_amount>
						</service>
					</services>
				</package>
				<package>
					<pack_code>GPAC3S05</pack_code>
					<pack_description>Buy this pack for free! Unlimited monthly</pack_description>
					<cancelable>N</cancelable>
					<speed>512KB</speed>
					<service_size>1</service_size>
					<services>
						<service>
							<pack_id>2974</pack_id>
							<pack_type>NextRC</pack_type>
							<start_date>2009-10-07 00:00:00</start_date>
							<end_date>2009-11-07 00:00:00</end_date>
							<service_type>EG</service_type>
							<bundle_amount>1200</bundle_amount>
							<bundle_unit>T</bundle_unit>
							<remain_amount>1200</remain_amount>
						</service>
					</services>
				</package>
			</packages>
			<fair_use>
				<qos_size>2</qos_size>
				<qos_details>
					<qos_detail>
						<qos_pack_type>Package</qos_pack_type>
						<qos_package>IPHONE4</qos_package>
						<qos_service_type>3G</qos_service_type>
						<qos_status>A</qos_status>
						<qos_start_date>2010-10-04 12:30:20</qos_start_date>
						<qos_end_date>2010-11-03 23:59:59</qos_end_date>
						<qos_unit>V</qos_unit>
						<qos_remain_amount>0</qos_remain_amount>
						<qos_use_amount>5120</qos_use_amount>
						<qos_cap_max>5120</qos_cap_max>
						<qos_cap_speed>256KB</qos_cap_speed>
					</qos_detail>
					<qos_detail>
						<qos_pack_type>priceplan</qos_pack_type>
						<qos_package>IPACKP04</qos_package>
						<qos_service_type>3G</qos_service_type>
						<qos_status>E</qos_status>
						<qos_start_date>2010-10-04 12:30:20</qos_start_date>
						<qos_end_date>2010-11-03 23:59:59</qos_end_date>
						<qos_unit>V</qos_unit>
						<qos_remain_amount>5120</qos_remain_amount>
						<qos_use_amount>0</qos_use_amount>
						<qos_cap_max>5120</qos_cap_max>
						<qos_cap_speed>256KB</qos_cap_speed>
					</qos_detail>
				</qos_details>
			</fair_use>
		</dmc_response>
	</extra_xml>
</response>`

  res.status(200).send(response)
}

module.exports.getCheckBalanceIR = async (req, res) => {
  console.log('===== POST getCheckBalanceIR =====')
  console.log('url', req.originalUrl);
  console.log('headers', req.headers);
  console.log('query', req.query);
  console.log('params', req.params);
  console.log('body', req.body);

  let responseErr = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM" result_code="500" result_desc="Error" req_transaction_id="CCBS_CCBS_SMB-002" transaction_id="2021062720320308801249" response_message="Success"/>`

  let response = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM" result_code="0" result_desc="Success" req_transaction_id="CCBS_CCBS_SMB-002" transaction_id="2021062720320308801249" response_message="Success">
    <extra_xml>
      <dmc_response>
        <transaction_id>00001</transaction_id>
        <result_code>1</result_code>
        <result_description>success</result_description>
        <account_type>POS</account_type>
        <priceplan>FV1B1M</priceplan>
        <priceplan_desc>priceplan roaming unlimited</priceplan_desc>
        <charge_type>T</charge_type>
        <status>A</status>
        <lang>TH</lang>
        <pay_per_use_amount>550</pay_per_use_amount>
        <bill_shock_step>500</bill_shock_step>
        <bill_shock_status>N</bill_shock_status>
        <current_package>EOAZONE</current_package>
        <current_speed>512KB</current_speed>
        <current_country>Australia</current_country>
        <current_operator>T-Mobile</current_operator>
        <parent_msisdn>66891288123</parent_msisdn>
        <number_of_child>1</number_of_child>
        <list_of_child>66866716795</list_of_child>
        <pp_wallet_share>N</pp_wallet_share>
        <pp_service_size>1</pp_service_size>
        <package_size>4</package_size>
        <pp_services>
          <pp_service>
            <pp_id>1234</pp_id>
            <pp_type>Recurring</pp_type>
            <pp_start_date>2009-09-06 00:00:00</pp_start_date>
            <pp_end_date>2010-09-06 23:59:59</pp_end_date>
            <pp_service_type>DataRoam</pp_service_type>
            <pp_bundle_amount>10240</pp_bundle_amount>
            <pp_bundle_unit>V</pp_bundle_unit>
            <pp_remain_amount>10240</pp_remain_amount>
            <pp_used_amount>10240</pp_used_amount>
          </pp_service>
          <pp_service>
            <pp_id>1234</pp_id>
            <pp_type>Recurring</pp_type>
            <pp_start_date>2009-09-06 00:00:00</pp_start_date>
            <pp_end_date>2010-09-06 23:59:59</pp_end_date>
            <pp_service_type>DataRoam</pp_service_type>
            <pp_bundle_amount>10240</pp_bundle_amount>
            <pp_bundle_unit>V</pp_bundle_unit>
            <pp_remain_amount>10240</pp_remain_amount>
            <pp_used_amount>10240</pp_used_amount>
          </pp_service>
        </pp_services>
        <packages>
          <package>
            <pack_code>TEST_IRDATAS11</pack_code>
            <pack_description>RC 4GB per mounth, 2500 Bath</pack_description>
            <cancelable>Y</cancelable>
            <service_size>2</service_size>
            <services>
              <service>
                <pack_id>238</pack_id>
                <pack_type>Recurring</pack_type>
                <benefit_type>LIMITED</benefit_type>
                <buy_date>2017-12-01 14:02:10</buy_date>
                <buy_channel>IRUSSD</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>601</dmc_transaction_id>
                <start_date_th>2017-12-01 17:00:00</start_date_th>
                <end_date_th>2017-12-12 23:59:59</end_date_th>
                <start_date_visit>2017-12-01 19:00:00</start_date_visit>
                <end_date_visit>2017-12-13 01:59:59</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount>1677722</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>1677722</remain_amount>
                <use_amount>0</use_amount>
                <max_speed>Max speed</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>Max speed</shape_speed>
                <quota_fup/>
                <remain_fup/>
                <used_fup/>
              </service>
              <service>
                <pack_id>1201</pack_id>
                <pack_type>Recurring</pack_type>
                <benefit_type>LIMITED</benefit_type>
                <buy_date>2017-12-11 00:00:00</buy_date>
                <buy_channel>IRUSSD</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>622</dmc_transaction_id>
                <start_date_th>2017-12-13 00:00:00</start_date_th>
                <end_date_th>2018-01-12 23:59:59</end_date_th>
                <start_date_visit/>
                <end_date_visit/>
                <service_type>DataRoam</service_type>
                <bundle_amount>4194304</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>4194304</remain_amount>
                <use_amount>0</use_amount>
                <max_speed>Max speed</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>Max speed</shape_speed>
                <quota_fup/>
                <remain_fup/>
                <used_fup/>
              </service>
            </services>
          </package>
          <package>
            <pack_code>TEST_IRDATAS05</pack_code>
            <pack_description>Package special rate (cap max per day) per group of operator ie south korea</pack_description>
            <cancelable>Y</cancelable>
            <service_size>2</service_size>
            <services>
              <service>
                <pack_id>0</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>PPU_W_CAP</benefit_type>
                <buy_date>2017-12-12 11:16:12</buy_date>
                <buy_channel>IRUSSD</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>623</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:12</start_date_th>
                <end_date_th>2017-12-13 21:59:59</end_date_th>
                <start_date_visit>2017-12-12 13:16:12</start_date_visit>
                <end_date_visit>2017-12-13 23:59:59</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount/>
                <bundle_unit/>
                <remain_amount/>
                <use_amount/>
                <max_speed/>
                <shape_status/>
                <shape_speed/>
                <quota_fup/>
                <remain_fup/>
                <used_fup/>
              </service>
              <service>
                <pack_id>1202</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>LIMITED</benefit_type>
                <buy_date>2017-12-12 11:16:12</buy_date>
                <buy_channel>IRAPP</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>624</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:12</start_date_th>
                <end_date_th>2017-12-15 11:16:12</end_date_th>
                <start_date_visit>2017-12-12 13:16:12</start_date_visit>
                <end_date_visit>2017-12-15 13:16:12</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount>102400</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>102400</remain_amount>
                <use_amount>0</use_amount>
                <max_speed>10Mbp</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>10Mbp</shape_speed>
                <quota_fup/>
                <remain_fup/>
                <used_fup/>
              </service>
            </services>
          </package>
          <package>
            <pack_code>TEST_IRDATAS07</pack_code>
            <pack_description>Package special rate without CAP MAX</pack_description>
            <cancelable>Y</cancelable>
            <service_size>1</service_size>
            <services>
              <service>
                <pack_id>0</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>PPU_WO_CAP</benefit_type>
                <buy_date>2017-12-12 11:16:35</buy_date>
                <buy_channel>IRAPP</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>626</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:35</start_date_th>
                <end_date_th>2017-12-15 11:16:35</end_date_th>
                <start_date_visit>2017-12-12 11:16:35</start_date_visit>
                <end_date_visit>2017-12-15 11:16:35</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount/>
                <bundle_unit/>
                <remain_amount/>
                <use_amount/>
                <max_speed>2Mbps</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>2Mbps</shape_speed>
                <quota_fup/>
                <remain_fup/>
                <used_fup/>
              </service>
            </services>
          </package>
          <package>
            <pack_code>TEST_IRDATAS01</pack_code>
            <pack_description>Package data unlimit 1 days 99 Bath</pack_description>
            <cancelable>Y</cancelable>
            <service_size>1</service_size>
            <services>
              <service>
                <pack_id>0</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>UNLIMITED</benefit_type>
                <buy_date>2017-12-12 11:16:46</buy_date>
                <buy_channel>IRAPP</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>627</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:46</start_date_th>
                <end_date_th>2017-12-13 11:16:46</end_date_th>
                <start_date_visit>2017-12-12 12:16:46</start_date_visit>
                <end_date_visit>2017-12-13 12:16:46</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount>Unlimited</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>Unlimited</remain_amount>
                <use_amount>Unlimited</use_amount>
                <max_speed>Max speed</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>512Kbps</shape_speed>
                <quota_fup>512000</quota_fup>
                <remain_fup>512000</remain_fup>
                <used_fup>0</used_fup>
              </service>
            </services>
          </package>
        </packages>
      </dmc_response>
    </extra_xml>
  </response>`

  let response1 = `<?xml version="1.0" encoding="UTF-8"?>
  <response result_namespace="SBM" result_code="0" result_desc="Success" req_transaction_id="CCBS_CCBS_SMB-002" transaction_id="2021062720320308801249" response_message="Success">
    <extra_xml>
      <dmc_response>
        <transaction_id>00001</transaction_id>
        <result_code>1</result_code>
        <result_description>success</result_description>
        <account_type>POS</account_type>
        <priceplan>FV1B1M</priceplan>
        <priceplan_desc>priceplan roaming unlimited</priceplan_desc>
        <charge_type>T</charge_type>
        <status>A</status>
        <lang>TH</lang>
        <pay_per_use_amount>550</pay_per_use_amount>
        <bill_shock_step>500</bill_shock_step>
        <bill_shock_status>N</bill_shock_status>
        <current_package>EOAZONE</current_package>
        <current_speed>512KB</current_speed>
        <current_country>Australia</current_country>
        <current_operator>T-Mobile</current_operator>
        <parent_msisdn>66891288123</parent_msisdn>
        <number_of_child>1</number_of_child>
        <list_of_child>66866716795</list_of_child>
        <pp_wallet_share>N</pp_wallet_share>
        <pp_service_size>1</pp_service_size>
        <package_size>4</package_size>
        <pp_services>
          <pp_service>
            <pp_id>1234</pp_id>
            <pp_type>Recurring</pp_type>
            <pp_start_date>2009-09-06 00:00:00</pp_start_date>
            <pp_end_date>2010-09-06 23:59:59</pp_end_date>
            <pp_service_type>DataRoam</pp_service_type>
            <pp_bundle_amount>10240</pp_bundle_amount>
            <pp_bundle_unit>V</pp_bundle_unit>
            <pp_remain_amount>10240</pp_remain_amount>
            <pp_used_amount>10240</pp_used_amount>
          </pp_service>
        </pp_services>
        <packages>
          <package>
            <pack_code>TEST_IRDATAS11</pack_code>
            <pack_description>RC 4GB per mounth, 2500 Bath</pack_description>
            <cancelable>Y</cancelable>
            <service_size>2</service_size>
            <services>
              <service>
                <pack_id>238</pack_id>
                <pack_type>Recurring</pack_type>
                <benefit_type>LIMITED</benefit_type>
                <buy_date>2017-12-01 14:02:10</buy_date>
                <buy_channel>IRUSSD</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>601</dmc_transaction_id>
                <start_date_th>2017-12-01 17:00:00</start_date_th>
                <end_date_th>2017-12-12 23:59:59</end_date_th>
                <start_date_visit>2017-12-01 19:00:00</start_date_visit>
                <end_date_visit>2017-12-13 01:59:59</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount>1677722</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>1677722</remain_amount>
                <use_amount>0</use_amount>
                <max_speed>Max speed</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>Max speed</shape_speed>
                <quota_fup />
                <remain_fup />
                <used_fup />
              </service>
              <service>
                <pack_id>1201</pack_id>
                <pack_type>Recurring</pack_type>
                <benefit_type>LIMITED</benefit_type>
                <buy_date>2017-12-11 00:00:00</buy_date>
                <buy_channel>IRUSSD</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>622</dmc_transaction_id>
                <start_date_th>2017-12-13 00:00:00</start_date_th>
                <end_date_th>2018-01-12 23:59:59</end_date_th>
                <start_date_visit />
                <end_date_visit />
                <service_type>DataRoam</service_type>
                <bundle_amount>4194304</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>4194304</remain_amount>
                <use_amount>0</use_amount>
                <max_speed>Max speed</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>Max speed</shape_speed>
                <quota_fup />
                <remain_fup />
                <used_fup />
              </service>
            </services>
          </package>
          <package>
            <pack_code>TEST_IRDATAS05</pack_code>
            <pack_description>Package special rate (cap max per day) per group of operator ie south korea
            </pack_description>
            <cancelable>Y</cancelable>
            <service_size>2</service_size>
            <services>
              <service>
                <pack_id>0</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>PPU_W_CAP</benefit_type>
                <buy_date>2017-12-12 11:16:12</buy_date>
                <buy_channel>IRUSSD</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>623</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:12</start_date_th>
                <end_date_th>2017-12-13 21:59:59</end_date_th>
                <start_date_visit>2017-12-12 13:16:12</start_date_visit>
                <end_date_visit>2017-12-13 23:59:59</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount />
                <bundle_unit />
                <remain_amount />
                <use_amount />
                <max_speed />
                <shape_status />
                <shape_speed />
                <quota_fup />
                <remain_fup />
                <used_fup />
              </service>
              <service>
                <pack_id>1202</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>LIMITED</benefit_type>
                <buy_date>2017-12-12 11:16:12</buy_date>
                <buy_channel>IRAPP</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>624</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:12</start_date_th>
                <end_date_th>2017-12-15 11:16:12</end_date_th>
                <start_date_visit>2017-12-12 13:16:12</start_date_visit>
                <end_date_visit>2017-12-15 13:16:12</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount>102400</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>102400</remain_amount>
                <use_amount>0</use_amount>
                <max_speed>10Mbp</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>10Mbp</shape_speed>
                <quota_fup />
                <remain_fup />
                <used_fup />
              </service>
            </services>
          </package>
          <package>
            <pack_code>TEST_IRDATAS07</pack_code>
            <pack_description>Package special rate without CAP MAX</pack_description>
            <cancelable>Y</cancelable>
            <service_size>1</service_size>
            <services>
              <service>
                <pack_id>0</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>PPU_WO_CAP</benefit_type>
                <buy_date>2017-12-12 11:16:35</buy_date>
                <buy_channel>IRAPP</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>626</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:35</start_date_th>
                <end_date_th>2017-12-15 11:16:35</end_date_th>
                <start_date_visit>2017-12-12 11:16:35</start_date_visit>
                <end_date_visit>2017-12-15 11:16:35</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount />
                <bundle_unit />
                <remain_amount />
                <use_amount />
                <max_speed>2Mbps</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>2Mbps</shape_speed>
                <quota_fup />
                <remain_fup />
                <used_fup />
              </service>
            </services>
          </package>
          <package>
            <pack_code>TEST_IRDATAS01</pack_code>
            <pack_description>Package data unlimit 1 days 99 Bath</pack_description>
            <cancelable>Y</cancelable>
            <service_size>1</service_size>
            <services>
              <service>
                <pack_id>0</pack_id>
                <pack_type>Onetime</pack_type>
                <benefit_type>UNLIMITED</benefit_type>
                <buy_date>2017-12-12 11:16:46</buy_date>
                <buy_channel>IRAPP</buy_channel>
                <offer_instance_id>xxxxxx</offer_instance_id>
                <dmc_transaction_id>627</dmc_transaction_id>
                <start_date_th>2017-12-12 11:16:46</start_date_th>
                <end_date_th>2017-12-13 11:16:46</end_date_th>
                <start_date_visit>2017-12-12 12:16:46</start_date_visit>
                <end_date_visit>2017-12-13 12:16:46</end_date_visit>
                <service_type>DataRoam</service_type>
                <bundle_amount>Unlimited</bundle_amount>
                <bundle_unit>V</bundle_unit>
                <remain_amount>Unlimited</remain_amount>
                <use_amount>Unlimited</use_amount>
                <max_speed>Max speed</max_speed>
                <shape_status>N</shape_status>
                <shape_speed>512Kbps</shape_speed>
                <quota_fup>512000</quota_fup>
                <remain_fup>512000</remain_fup>
                <used_fup>0</used_fup>
              </service>
            </services>
          </package>
        </packages>
      </dmc_response>
    </extra_xml>
  </response>`

  res.status(200).send(response1)
}