module.exports.getAgreementBundleUsageInfo = async (req, res) => {
  console.log('===== POST getAgreementBundleUsageInfo =====')
  console.log('url', req.originalUrl);
  console.log('headers', req.headers);
  console.log('query', req.query);
  console.log('params', req.params);
  console.log('body', req.body);

  let responseErr = {
    "code": "5000",
    "msg": "Error bind json to model"
  }

  let response = {
    "getAgreementBundleUsageInfoResponse": {
      "bundleUsageMEPB": {
        "bundleUsageList": [{
          "serviceType": "Voice",
          "uomCode": "M",
          "remainAmt": "0.00",
          "utilizedQuotaFormat": "00:00:00",
          "uomDescription": "Minutes",
          "allowAmt": "-1.00",
          "initialQuotaFormat": "00:0-1:00",
          "usageAmt": "0.00",
          "feature": "Voice",
          "service": "V000US01C",
          "remainingQuotaFormat": "00:00:00",
          "effectiveDate": "2019-09-22 17:01:51",
          "expirationDate": "2049-12-31 00:00:00"
        },
        {
          "serviceType": "Voice",
          "uomCode": "M",
          "remainAmt": "626.00",
          "utilizedQuotaFormat": "06:14:00",
          "uomDescription": "Minutes",
          "allowAmt": "1000.00",
          "initialQuotaFormat": "16:40:00",
          "lastCall": "2021-07-29 15:47:03",
          "usageAmt": "374.00",
          "feature": "Voice",
          "service": "NETSFS21",
          "remainingQuotaFormat": "10:26:00",
          "effectiveDate": "2019-09-22 17:01:51",
          "expirationDate": "2049-12-31 00:00:00"
        }],
        "errorMessage": {
          "errorMessage": "Success.",
          "errorCode": "ACAHblG00001"
        },
        "totalRecord": "2"
      }
    }
  }

  res.status(200).send(response)
}