module.exports.getMobileOfferInventory = async (req, res) => {
    console.log('===== GET mobileOfferInventory =====')
    console.log('url', req.originalUrl);
    console.log('headers', req.headers);
    console.log('query', req.query);
    console.log('params', req.params);

    let response = {
        "code": 200,
        "desc": "Success",
        "sizes": 1,
        "offerSummaryList": [
            {
                "size": 1,
                "offerSummaryInfo": [
                    {
                        "bundleInfo": {
                            "voice": [
                                {
                                    "quota": "100",
                                    "quotaUnit": "Minutes",
                                    "eventType": "FIX,OF,ON",
                                    "sharingFlag": "N",
                                    "rollOverTime": "0",
                                    "voiceGroup": "ALLNET",
                                    "priceingItemId": "102163"
                                }
                            ],
                            "data": [
                                {
                                    "quota": "0",
                                    "quotaUnit": null,
                                    "dataGroup": "UNLIMIT",
                                    "fupSpeed": null,
                                    "fupSpeedUnit": null,
                                    "maxSpeed": null,
                                    "maxSpeedUnit": null,
                                    "fupSpeedConfig": null,
                                    "fupSpeedConfigUnit": null,
                                    "lifeTime": "36500",
                                    "lifeTimeType": "EOD",
                                    "recurringTime": "1",
                                    "rollOverTime": "0",
                                    "additional": "N",
                                    "communicate": null,
                                    "serviceFlag": "0000000",
                                    "subKey": "WiFi"
                                },
                                {
                                    "quota": "2",
                                    "quotaUnit": "GB",
                                    "dataGroup": "UNLIMIT",
                                    "fupSpeed": "1024",
                                    "fupSpeedUnit": "Kbps",
                                    "maxSpeed": null,
                                    "maxSpeedUnit": null,
                                    "fupSpeedConfig": null,
                                    "fupSpeedConfigUnit": null,
                                    "lifeTime": "36500",
                                    "lifeTimeType": "EOD",
                                    "recurringTime": "1",
                                    "rollOverTime": "0",
                                    "additional": "N",
                                    "communicate": null,
                                    "serviceFlag": "1300000",
                                    "subKey": "Internet Vol"
                                }
                            ],
                            "other": [
                                {
                                    "key": "SMS",
                                    "quota": "200",
                                    "sharingFlag": "N",
                                    "rollOverTime": "0"
                                },
                                {
                                    "key": "MMS",
                                    "quota": "100",
                                    "sharingFlag": "N",
                                    "rollOverTime": "0"
                                }
                            ]
                        }
                    }
                ]
            }
        ]
    }


    res.status(200).send(response)
}